/*
Copyright © 2023 Philipp Wolfer <phw@uploadedlobster.com>

This file is part of Scotty.

Scotty is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later version.

Scotty is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
Scotty. If not, see <https://www.gnu.org/licenses/>.
*/

package jspf_test

import (
	"testing"

	"github.com/spf13/viper"
	"github.com/stretchr/testify/assert"
	"go.uploadedlobster.com/scotty/internal/backends/scrobblerlog"
)

func TestFromConfig(t *testing.T) {
	config := viper.New()
	config.Set("file-path", "/foo/bar.jspf")
	config.Set("title", "My Playlist")
	config.Set("username", "outsidecontext")
	config.Set("identifier", "http://example.com/playlist1")
	backend := (&scrobblerlog.ScrobblerLogBackend{}).FromConfig(config)
	assert.IsType(t, &scrobblerlog.ScrobblerLogBackend{}, backend)
}
